Page MenuHomePhabricator

Fix gcc 9 and clang 8 compilation
Open, NormalPublic

Description

gcc 9.x and clang 8.x are again more strict, causing compilation warnings and errors

Details

Differential Revisions
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

nolden triaged this task as Normal priority.Jun 27 2019, 10:17 AM
nolden created this task.
nolden added a revision: Restricted Differential Revision.Jun 27 2019, 2:19 PM
kislinsk edited projects, added MITK (2018-04-4); removed MITK.Jun 27 2019, 3:25 PM
kislinsk added a subscriber: kislinsk.

May be worth cherry-picking these commits into releases/2018-04 as well.

Dashboard is red. Many errors related to missing overload of operator <<. I guess this is related to changing many ref types of catch blocks without adapting the code in the catch blocks.

kislinsk closed this task as Resolved.Jul 1 2019, 9:59 AM

Cherry-picked into releases/2018-04. Peter's fixes do not affect code available there.

nolden added a revision: Restricted Differential Revision.Jul 1 2019, 5:26 PM
kislinsk reopened this task as Open.Jul 2 2019, 9:07 AM